{% extends 'base.html.twig' %}

{% block title %}User Profile
{% endblock %}

{% block body %}
<div {{ stimulus_controller ('showprofile')}} class="container">

		<div class="user-content d-flex align-content-center justify-content-center">
			<div class="">
				<p>
					<img src="{{ asset(app.user.avatarUrl) }}" alt="">
				</p>
				{% for role in app.user.roles %}
					{% if role != 'ROLE_USER' %}
						<p>
							<span class="fa fa-star"></span>
							<i>{{ role }}</i>
						</p>
					{% endif %}
				{% endfor %}
			</div>
			<div class="">
				<h3>{{ app.user.username }}</h3>
				<p>Enabled:
					<span class="badge badge-secondary">{{ app.user.enabled ? 'yes' : 'no' }}</span>
				</p>
				<p>Email:
					{{ app.user.email }}</p>
			</div>
		</div>
	</div>
{% endblock %}
